Bug 240091 - Could not access home directory from windows(Selinux target mode on)
Could not access home directory from windows(Selinux target mode on)
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-14 23:08 EDT by Makoto Otsu
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-17 11:51:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Makoto Otsu 2007-05-14 23:08:53 EDT
Description of problem:

Could not share home directory using Samba,
even if samba_enable_home_dirs flag is set to 1.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:

type=AVC msg=audit(1179198367.772:62): avc:  denied  { search } for  pid=3001
comm="smbd" name="home" dev=dm-0 ino=13041665
scontext=system_u:system_r:smbd_t:s0 tcontext=system_u:object_r:default_t:s0
tclass=dir
type=SYSCALL msg=audit(1179198367.772:62): arch=40000003 syscall=195 success=no
exit=-13 a0=806b7700 a1=bfd96080 a2=373ff4 a3=bfd96080 items=0 ppid=2274
pid=3001 auid=4294967295 uid=500 gid=0 euid=500 suid=0 fsuid=500 egid=500 sgid=0
fsgid=500 tty=(none) comm="smbd" exe="/usr/sbin/smbd"
subj=system_u:system_r:smbd_t:s0 key=(null)
type=AVC msg=audit(1179198367.772:63): avc:  denied  { search } for  pid=3001
comm="smbd" name="home" dev=dm-0 ino=13041665
scontext=system_u:system_r:smbd_t:s0 tcontext=system_u:object_r:default_t:s0
tclass=dir
type=SYSCALL msg=audit(1179198367.772:63): arch=40000003 syscall=195 success=no
exit=-13 a0=806b71b8 a1=bfd96080 a2=373ff4 a3=bfd96080 items=0 ppid=2274
pid=3001 auid=4294967295 uid=500 gid=0 euid=500 suid=0 fsuid=500 egid=500 sgid=0
fsgid=500 tty=(none) comm="smbd" exe="/usr/sbin/smbd"
subj=system_u:system_r:smbd_t:s0 key=(null)


Expected results:


Additional info:
Comment 1 Daniel Walsh 2007-05-17 11:51:03 EDT
You have a labeling problem.  Your homedirectories are mislabeled.

restorecon -R -v /home

Note You need to log in before you can comment on or make changes to this bug.